public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Akinori Hattori" <hattya@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/sunpinyin/
Date: Wed,  8 Aug 2018 13:52:01 +0000 (UTC)	[thread overview]
Message-ID: <1533736307.0d7472af4eccee98a0d0b7c10e3348a2599810b9.hattya@gentoo> (raw)

commit:     0d7472af4eccee98a0d0b7c10e3348a2599810b9
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  8 13:29:07 2018 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Aug  8 13:51:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d7472af

app-i18n/sunpinyin: update to EAPI 6

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-i18n/sunpinyin/sunpinyin-2.0.3-r2.ebuild       | 42 +++++++++++-----------
 ...build => sunpinyin-2.0.4_pre20130108-r2.ebuild} | 29 ++++++++-------
 2 files changed, 35 insertions(+), 36 deletions(-)

diff --git a/app-i18n/sunpinyin/sunpinyin-2.0.3-r2.ebuild b/app-i18n/sunpinyin/sunpinyin-2.0.3-r2.ebuild
index 8ef0101da1e..c79fd710b99 100644
--- a/app-i18n/sunpinyin/sunpinyin-2.0.3-r2.ebuild
+++ b/app-i18n/sunpinyin/sunpinyin-2.0.3-r2.ebuild
@@ -1,12 +1,13 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI="6"
+PYTHON_COMPAT=( python2_7 )
 
-inherit scons-utils toolchain-funcs
+inherit python-any-r1 scons-utils toolchain-funcs
 
-DESCRIPTION="SunPinyin is a SLM (Statistical Language Model) based IME"
-HOMEPAGE="https://sunpinyin.googlecode.com"
+DESCRIPTION="A Statistical Language Model based Chinese input method library"
+HOMEPAGE="https://github.com/sunpinyin/sunpinyin"
 SRC_URI="${HOMEPAGE}/files/${P}.tar.gz
 		https://open-gram.googlecode.com/files/dict.utf8.tar.bz2
 		https://open-gram.googlecode.com/files/lm_sc.t3g.arpa.tar.bz2"
@@ -18,35 +19,34 @@ IUSE=""
 
 RDEPEND="dev-db/sqlite:3"
 DEPEND="${RDEPEND}
-		virtual/pkgconfig"
+	${PYTHON_DEPS}
+	virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-force-switch.patch
+	"${FILESDIR}"/${P}-gcc-4.7.patch
+)
 
 src_unpack() {
-	unpack "${P}.tar.gz"
-	ln -s "${DISTDIR}/dict.utf8.tar.bz2" "${S}/raw/" || die "dict file not found"
-	ln -s "${DISTDIR}/lm_sc.t3g.arpa.tar.bz2" "${S}/raw/" || die "dict file not found"
+	unpack ${P}.tar.gz
+	ln -s "${DISTDIR}"/dict.utf8.tar.bz2 "${S}"/raw/ || die "dict file not found"
+	ln -s "${DISTDIR}"/lm_sc.t3g.arpa.tar.bz2 "${S}"/raw/ || die "dict file not found"
 }
 
 src_prepare() {
-	eapply "${FILESDIR}/${P}-force-switch.patch"
-	eapply "${FILESDIR}/${P}-gcc-4.7.patch"
 	default
-}
-
-src_configure() {
 	tc-export CXX
-	myesconsargs=(
-		--prefix="${EPREFIX}"/usr
-		--libdir="${EPREFIX}"/usr/$(get_libdir)
-		--libdatadir="${EPREFIX}"/usr/lib
-	)
 }
 
 src_compile() {
-	escons || die
+	escons \
+		--prefix="${EPREFIX}"/usr \
+		--libdir="${EPREFIX}"/usr/$(get_libdir) \
+		--libdatadir="${EPREFIX}"/usr/lib
 }
 
 src_install() {
-	escons --install-sandbox="${ED}" install || die
+	escons --install-sandbox="${D}" install
 }
 
 pkg_postinst() {

diff --git a/app-i18n/sunpinyin/sunpinyin-2.0.4_pre20130108-r1.ebuild b/app-i18n/sunpinyin/sunpinyin-2.0.4_pre20130108-r2.ebuild
similarity index 64%
rename from app-i18n/sunpinyin/sunpinyin-2.0.4_pre20130108-r1.ebuild
rename to app-i18n/sunpinyin/sunpinyin-2.0.4_pre20130108-r2.ebuild
index f5a8f933a5f..34f908fd980 100644
--- a/app-i18n/sunpinyin/sunpinyin-2.0.4_pre20130108-r1.ebuild
+++ b/app-i18n/sunpinyin/sunpinyin-2.0.4_pre20130108-r2.ebuild
@@ -1,9 +1,10 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI="6"
 PYTHON_COMPAT=( python2_7 )
-inherit eutils multilib python-any-r1 scons-utils toolchain-funcs
+
+inherit python-any-r1 scons-utils toolchain-funcs
 
 DESCRIPTION="A Statistical Language Model based Chinese input method library"
 HOMEPAGE="https://github.com/sunpinyin/sunpinyin"
@@ -20,28 +21,26 @@ DEPEND="${RDEPEND}
 	dev-util/intltool
 	sys-devel/gettext
 	virtual/pkgconfig"
-PDEPEND="app-i18n/sunpinyin-data"
+PDEPEND="<=app-i18n/sunpinyin-data-20130220"
+
+PATCHES=(
+	"${FILESDIR}"/${P/_pre*}-gcc-6.patch
+	"${FILESDIR}"/${P/_pre*}-pod2man.patch
+)
 
 src_prepare() {
-	epatch "${FILESDIR}"/${P/_pre*}-pod2man.patch
-	epatch "${FILESDIR}"/${P/_pre*}-gcc-6.patch
-	epatch_user
-}
+	sed -i "/^docdir/s/${PN}/${PF}/" SConstruct
 
-src_configure() {
+	default
 	tc-export CXX
-	myesconsargs=(
-		--prefix="${EPREFIX}"/usr
-		--libdir="${EPREFIX}"/usr/$(get_libdir)
-	)
 }
 
 src_compile() {
-	escons
+	escons \
+		--prefix="${EPREFIX}"/usr \
+		--libdir="${EPREFIX}"/usr/$(get_libdir)
 }
 
 src_install() {
 	escons --install-sandbox="${D}" install
-	rm -rf "${D}"/usr/share/doc/${PN} || die
-	dodoc doc/{README,SLM-inst.mk,SLM-train.mk}
 }


             reply	other threads:[~2018-08-09  6:06 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-08 13:52 Akinori Hattori [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-11-19  6:24 [gentoo-commits] repo/gentoo:master commit in: app-i18n/sunpinyin/ Yixun Lan
2020-11-16 19:51 Mike Gilbert
2020-11-16 19:51 Mike Gilbert
2020-11-05 22:26 Michał Górny
2020-10-13 10:01 Agostino Sarubbo
2020-10-13  9:26 Agostino Sarubbo
2020-10-11  9:00 Sergei Trofimovich
2020-10-11  8:57 Sergei Trofimovich
2020-09-05  2:04 Mike Gilbert
2020-09-02 14:23 Mike Gilbert
2018-08-08 13:52 Akinori Hattori
2017-11-25 12:32 Andreas Hüttel
2017-11-18 10:13 Sergei Trofimovich
2017-11-01 20:54 Mike Gilbert
2017-10-23 17:24 Mike Gilbert
2017-10-23 17:24 Mike Gilbert
2017-10-03  8:25 Sergei Trofimovich
2017-09-30  5:42 Michael Palimaka
2017-06-16 20:18 Andreas Hüttel
2017-06-16 19:46 Andreas Hüttel
2016-06-17 15:28 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1533736307.0d7472af4eccee98a0d0b7c10e3348a2599810b9.hattya@gentoo \
    --to=hattya@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox